import 'package:flutter/material.dart';

import 'package:fluffychat/pages/chat_list/chat_list.dart';
import 'chat_list_body.dart';
import 'chat_list_navigation_rail.dart';

class ChatListBodyContainer extends StatelessWidget {
  final ChatListController controller;

  const ChatListBodyContainer(this.controller, {Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return LayoutBuilder(builder: (context, constraints) {
      if (MediaQuery.of(context).size.width > 1024) {
        return Row(
          mainAxisSize: MainAxisSize.max,
          mainAxisAlignment: MainAxisAlignment.start,
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            SizedBox(
              width: 72.0,
              height: constraints.maxHeight,
              child: ChatListNavigationRail(controller),
            ),
            Container(
              width: 1.0,
              color: Theme.of(context).dividerColor,
            ),
            Expanded(child: ChatListViewBody(controller)),
          ],
        );
      }
      return ChatListViewBody(controller);
    });
  }
}
